# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bytes/Random/Secure.pm) perl(Crypt/CBC.pm) perl(Crypt/OpenSSL/AES.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(MIME/Base64.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.9
%define module_name GPLVote-SignDoc-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9
Release: alt1
Summary: module for helping create GPLVote SignDoc client software.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/U/UN/UNCLEANDY/%{module_name}-%{module_version}.tgz
BuildArch: noarch

%description
use GPLVote::SignDoc::Client;

 if (user_sign_is_valid($public_key, $sign, $data)) {
    print "Sign of document is CORRECT\n";
 } else {
    print "BAD SIGN!!!\n";
 };

 my $pub_key_id = calc_pub_key_id($public_key);

 my $enc_data = encrypt($public_key, $data);
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/G*

%changelog
* Wed Apr 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1
- initial import by package builder

